<template>
    <Dialog :header="headerName" :visible.sync="dialogVisible" :style="{width: '50vw'}">
        Are you sure to delete this user?
        <template #footer>
            <Button label="Yes" icon="pi pi-check" @click="doDelete(idDelete)" />
            <Button label="No" icon="pi pi-times" @click="close()" class="p-button-secondary"/>
        </template>
    </Dialog>
</template>
<script>
    import {mapActions} from 'vuex'

    export default {
        name: 'ConfirmDelDialog',
        props: ['dialogVisible','headerName', 'idDelete'],
        methods: {
            ...mapActions('users', {
                doDelete: 'delete',
            }),
            close(){
                this.$emit('closeRequest');
            }
        }

    };
</script>
